import 'package:flutter/material.dart';
import 'package:flutter_mvvm/base/FlutterView.dart';
import 'package:flutter_mvvm/base/FlutterViewModel.dart';

import 'NextViewModel.dart';

class NextView extends FlutterView {
  @override
  FlutterViewState<FlutterView, FlutterViewModel> getViewState() {
    return _NextViewState();
  }
}

class _NextViewState extends FlutterViewState<NextView, NextViewModel> {
  @override
  void onViewModelReady() {
    debugPrint('-------------_NextViewState onCreate');
  }

  @override
  void onResume() {
    super.onResume();
    debugPrint('-------------_NextViewState onResume');
  }

  @override
  void onPause() {
    super.onPause();
    debugPrint('-------------_NextViewState onPause');
  }

  @override
  Widget getView() {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: Text('Next Screen'),
      ),
      body: Container(),
    );
  }

  @override
  NextViewModel getViewModel() {
    return NextViewModel();
  }
}
