import 'package:flutter/material.dart';

class FlutterWidgetModel extends ChangeNotifier {
  bool isLoading = true;

  void showLoading({bool forceRender = true}) {
    isLoading = true;
    if (forceRender) {
      notifyListeners();
    }
  }

  void hideLoading({bool forceRender = true}) {
    isLoading = false;
    if (forceRender) {
      notifyListeners();
    }
  }
}
